net.corda.node.services.transactions

## Class Request

- net.corda.node.services.transactions.Request

-     public class Request

  Sent from `class BFTSmartClient` to `class BFTSmartServer`

  See Also:
    `class BFTSmartClient`, `class BFTSmartServer`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Request(RequestType type, java.lang.Object data)` Sent from `class BFTSmartClient` to `class BFTSmartServer`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RequestType` | `component1()`
    `java.lang.Object` | `component2()`
    `Request` | `copy(RequestType type, java.lang.Object data)` Sent from `class BFTSmartClient` to `class BFTSmartServer`
    `boolean` | `equals(java.lang.Object p)`
    `java.lang.Object` | `getData()`
    `RequestType` | `getType()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### Request

          public Request(RequestType type,
                         java.lang.Object data)

      Sent from `class BFTSmartClient` to `class BFTSmartServer`

      See Also:
        `class BFTSmartClient`, `class BFTSmartServer`

  - ### Method Detail

    - #### getType

          public RequestType getType()

    - #### getData

          public java.lang.Object getData()

    - #### component1

          public RequestType component1()

    - #### component2

          public java.lang.Object component2()

    - #### copy

          public Request copy(RequestType type,
                              java.lang.Object data)

      Sent from `class BFTSmartClient` to `class BFTSmartServer`

      See Also:
        `class BFTSmartClient`, `class BFTSmartServer`

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)